Description: Disable micro:bit tests that may call mount locally
 mount is no longer available as an Essential package on buildds, so disable
 tests that call it
Author: Nick Morrott <nickm@debian.org>
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1027378
Forwarded: not-needed
Last-Update: 2023-02-09
---
Index: mu-editor/tests/modes/test_microbit.py
===================================================================
--- mu-editor.orig/tests/modes/test_microbit.py
+++ mu-editor/tests/modes/test_microbit.py
@@ -494,7 +494,7 @@ def test_flash_force_with_attached_devic
         )
         mock_flasher.start.assert_called_once_with()
 
-
+@pytest.mark.skip(reason="calls mount locally")
 def test_flash_with_attached_device_and_custom_runtime(microbit_v1_5):
     """
     Ensure the custom runtime is passed into the DeviceFlasher thread.
@@ -957,7 +957,7 @@ def test_flash_failed():
     )
     assert mm.flash_thread is None
 
-
+@pytest.mark.skip(reason="calls mount locally")
 def test_flash_minify(microbit_v1_5):
     view = mock.MagicMock()
     script = "#" + ("x" * 8193) + "\n"
